Back to the main site

Phoenix Point - Frozen start screen

log file with ulimit -Hn?

No this one:

lutris -d

The one you posted before.

INFO 2020-03-26 20:35:17,521 [application.do_command_line:225]:Running Lutris 0.5.4
INFO 2020-03-26 20:35:17,521 [startup.check_driver:62]:Using X. Org
INFO 2020-03-26 20:35:17,521 [startup.check_driver:67]:Running Mesa driver 19.2.2 on Radeon RX Vega (VEGA10, DRM 3.33.0, 5.3.0-42-generic, LLVM 9.0.1) (0x687f)
INFO 2020-03-26 20:35:17,522 [startup.check_driver:79]:GPU: 1002:687F 1043:0555 using amdgpu drivers
INFO 2020-03-26 20:35:17,662 [startup.check_vulkan:132]:Vulkan is supported
INFO 2020-03-26 20:35:17,663 [dxvk.get_dxvk_versions:21]:Updating DXVK versions
DEBUG 2020-03-26 20:35:17,840 [http.get:65]:GET ht tps://lutris.net/api/runtime
DEBUG 2020-03-26 20:35:17,842 [store.get_missing_media:198]:Requesting missing icons from API for phoenix-point
DEBUG 2020-03-26 20:35:17,842 [http.get:65]:GET ht tps://lutris.net/api/games
INFO 2020-03-26 20:35:17,943 [dxvk.get_dxvk_versions:21]:Updating D9VK versions
DEBUG 2020-03-26 20:35:18,175 [api.get_game_api_page:132]:Loaded 1 games from page 1

OK looks good:

INFO 2020-03-26 20:35:17,521 [startup.check_driver:67]:Running Mesa driver 19.2.2 on Radeon RX Vega (VEGA10, DRM 3.33.0, 5.3.0-42-generic, LLVM 9.0.1) (0x687f)
INFO 2020-03-26 20:35:17,522 [startup.check_driver:79]:GPU: 1002:687F 1043:0555 using amdgpu drivers
INFO 2020-03-26 20:35:17,662 [startup.check_vulkan:132]:Vulkan is supported
INFO 2020-03-26 20:35:17,663 [dxvk.get_dxvk_versions:21]:Updating DXVK versions

So ESync is solved and you have Vulkan support now. That will help you with other games too.

No let’s look at you screenshot:

I see a custom WINE version and a path to a custom WINE executable.

My next step would be removing that path to the custom WINE version and testing the game with a WINE version from the list. I would start with the newest. If that doesn’t work I would install Wine-Staging 4.21.

where I find wine-version? I’ve only Proton till 5.0 and lutris till -5.4-x86_64.
The custom-link… I did chose this because that was in your configurations.
Should I try other proton- and lutris-versions?

No, you are mistaking the custom WINE path with the default WINE location fields. :slight_smile:

Doesn’t matter.

You install different version of WINE via the WINE runner configuration at the left menu bar.

And then you can select them in the WINE drop down box in the game configuration.

ok, thanks. I’ve understand.

I’ve install lutris-4.21.
The epic game launcher crash everytime.
with 5.0, it run. With 5.2 and 5.4 not.
But only without DXVK. With it… no start of the launcher.
Esync is activated.
I will try it with other versions.

One last thing. It sometimes helps to remove the game from Lutris and run the installer script again.

The installer script had not worked. So I had install Win10 in my VM, install epic game store and phoenix point. Than I had copy this files and Folders.
I had registered the link in Lutris.

But now I try your suggestion.

I’ve deinstall and install it. No alteration.
When Epic launcher is running, the screen is distorted. Then you can see a black screen and two seconds later minimize it.

I will try differently options. Maybe it will running sometimes.

Thanks for your help and patience.

No problem, happy to help.

You are basically trying to get two apps working under the same Wine bottle. That could be confusing.

Epic game launcher:

https://appdb.winehq.org/objectManager.php?sClass=version&iId=38242&iTestingId=106596

https://appdb.winehq.org/objectManager.php?sClass=version&iId=38242#testdata

There is some interesting information to be found there.

I’ve get a little victory.
I have choose “Windowed (virtual desktop)” in my options. See here:

Now I can run the game. But a part of this is black, if I can play. Why?

in missions is the partially black screen the same result.


That is the only real blind let’s play.:joy::sob:

Now I can run the game without “Windowed (virtual desktop)”.
I had only to agree to the terms and conditions. So I thought and so it is.
But the partially black screen the same result.
I don’t know what I could do next.

Cool you got a bit further.

Do the logs say anything?

Maybe setting the Windows version in the WINE configuration to something else than Windows 10? Windows 7 or WindowsXP maybe… Wild guess this.

Where I can setting the Windows-Version?

Here is the log:
lutris -d
INFO 2020-03-31 22:42:53,038 [application.do_command_line:245]:Running Lutris 0.5.5
INFO 2020-03-31 22:42:53,038 [startup.check_driver:62]:Using X.Org
INFO 2020-03-31 22:42:53,038 [startup.check_driver:67]:Running Mesa driver 19.2.2 on Radeon RX Vega (VEGA10, DRM 3.33.0, 5.3.0-45-generic, LLVM 9.0.1) (0x687f)
INFO 2020-03-31 22:42:53,038 [startup.check_driver:79]:GPU: 1002:687F 1043:0555 using amdgpu drivers
INFO 2020-03-31 22:42:53,053 [startup.check_vulkan:132]:Vulkan is supported
INFO 2020-03-31 22:42:53,054 [dxvk.get_dxvk_versions:22]:Updating DXVK versions
DEBUG 2020-03-31 22:42:53,202 [http.get:65]:GET https://lutris.net/api/runtime
DEBUG 2020-03-31 22:42:56,300 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
DEBUG 2020-03-31 22:42:56,333 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
DEBUG 2020-03-31 22:42:56,340 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
DEBUG 2020-03-31 22:42:56,349 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
DEBUG 2020-03-31 22:42:59,163 [common.is_valid:506]:args validated successfully: [’-opengl’, ‘-SkipBuildPatchPrereq’]
DEBUG 2020-03-31 22:42:59,166 [game.save:249]:Saving Epic Games Store (wine)
DEBUG 2020-03-31 22:42:59,167 [config.save:208]:Saving LutrisConfig(level=game, game_config_id=epic-games-store-latest-1584808756, runner=wine) config to /home/phenom/.config/lutris/games/epic-games-store-latest-1584808756.yml
DEBUG 2020-03-31 22:42:59,179 [lutriswindow.on_game_updated:779]:Updating game Epic Games Store (wine)
DEBUG 2020-03-31 22:42:59,968 [application.launch:379]:Launching Epic Games Store (wine) (139849766872768)
INFO 2020-03-31 22:42:59,982 [runner.use_runtime:238]:Runtime disabled by system configuration
INFO 2020-03-31 22:42:59,982 [init.init:438]:Dialog hide-wine-systemwide-install-warning dismissed by user
DEBUG 2020-03-31 22:42:59,983 [game.play:310]:Prelaunching <lutris.runners.wine.wine object at 0x7f314e6a2908>
DEBUG 2020-03-31 22:43:00,078 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
DEBUG 2020-03-31 22:43:00,084 [prefix.set_virtual_desktop:183]:Enabling wine virtual desktop with default resolution of 1920x1080
DEBUG 2020-03-31 22:43:00,116 [xrandr._get_vidmodes:16]:Retrieving video modes from XrandR
INFO 2020-03-31 22:43:00,123 [runner.use_runtime:238]:Runtime disabled by system configuration
DEBUG 2020-03-31 22:43:00,124 [game.configure_game:344]:Launching Epic Games Store: {‘env’: {‘DXVK_HUD’: ‘compiler’, ‘MESA_GL_VERSION_OVERRIDE’: ‘4.4COMPAT’, ‘__GL_SHADER_DISK_CACHE’: ‘1’, ‘__GL_SHADER_DISK_CACHE_PATH’: ‘/media/phenom/Jolanda/epic-games-store’, ‘WINEDEBUG’: ‘-all’, ‘WINEARCH’: ‘win64’, ‘WINE’: ‘/home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine’, ‘WINEPREFIX’: ‘/media/phenom/Jolanda/epic-games-store’, ‘WINEESYNC’: ‘1’, ‘WINEDLLOVERRIDES’: ‘winemenubuilder.exe=d’}, ‘command’: [’/home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine’, ‘/media/phenom/Jolanda/epic-games-store/drive_c/Program Files (x86)/Epic Games/Launcher/Portal/Binaries/Win32/EpicGamesLauncher.exe’, ‘-opengl’, ‘-SkipBuildPatchPrereq’]}
DEBUG 2020-03-31 22:43:00,124 [game.configure_game:345]:Game info: {
“env”: {
“DXVK_HUD”: “compiler”,
“MESA_GL_VERSION_OVERRIDE”: “4.4COMPAT”,
“__GL_SHADER_DISK_CACHE”: “1”,
“__GL_SHADER_DISK_CACHE_PATH”: “/media/phenom/Jolanda/epic-games-store”,
“WINEDEBUG”: “-all”,
“WINEARCH”: “win64”,
“WINE”: “/home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine”,
“WINEPREFIX”: “/media/phenom/Jolanda/epic-games-store”,
“WINEESYNC”: “1”,
“WINEDLLOVERRIDES”: “winemenubuilder.exe=d”
},
“command”: [
“/home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine”,
“/media/phenom/Jolanda/epic-games-store/drive_c/Program Files (x86)/Epic Games/Launcher/Portal/Binaries/Win32/EpicGamesLauncher.exe”,
“-opengl”,
“-SkipBuildPatchPrereq”
]
}
DEBUG 2020-03-31 22:43:00,125 [command.start:133]:Running /usr/share/lutris/bin/lutris-wrapper Epic Games Store 0 0 /home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine /media/phenom/Jolanda/epic-games-store/drive_c/Program Files (x86)/Epic Games/Launcher/Portal/Binaries/Win32/EpicGamesLauncher.exe -opengl -SkipBuildPatchPrereq
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: SDL_VIDEO_FULLSCREEN_DISPLAY=“off”
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: DXVK_HUD=“compiler”
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: MESA_GL_VERSION_OVERRIDE=“4.4COMPAT”
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: __GL_SHADER_DISK_CACHE=“1”
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: __GL_SHADER_DISK_CACHE_PATH="/media/phenom/Jolanda/epic-games-store"
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: WINEDEBUG="-all"
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: WINEARCH=“win64”
DEBUG 2020-03-31 22:43:00,125 [command.start:135]:ENV: WINE="/home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine"
DEBUG 2020-03-31 22:43:00,126 [command.start:135]:ENV: WINEPREFIX="/media/phenom/Jolanda/epic-games-store"
DEBUG 2020-03-31 22:43:00,126 [command.start:135]:ENV: WINEESYNC=“1”
DEBUG 2020-03-31 22:43:00,126 [command.start:135]:ENV: WINEDLLOVERRIDES=“winemenubuilder.exe=d”
DEBUG 2020-03-31 22:43:00,126 [command.start:135]:ENV: game_name=“Epic Games Store”
DEBUG 2020-03-31 22:43:00,126 [command.start:135]:ENV: PYTHONPATH="/usr/lib/lutris:/usr/games:/usr/lib/python36.zip:/usr/lib/python3.6:/usr/lib/python3.6/lib-dynload:/usr/local/lib/python3.6/dist-packages:/usr/lib/python3/dist-packages:/usr/lib/python3.6/dist-packages"
Running /home/phenom/.local/share/lutris/runners/wine/lutris-5.0-x86_64/bin/wine /media/phenom/Jolanda/epic-games-store/drive_c/Program Files (x86)/Epic Games/Launcher/Portal/Binaries/Win32/EpicGamesLauncher.exe -opengl -SkipBuildPatchPrereq
Initial process has started with pid 6378
Game is considered started.
esync: up and running.
Wine cannot find the FreeType font library. To enable Wine to
use TrueType fonts please install a version of FreeType greater than
or equal to 2.0.5.
http://www.freetype.org
Initial process has exited.
DEBUG 2020-03-31 22:50:16,689 [game_actions.on_stop:209]:Removed game with ID 4 from running games
Caught signal 15
passing along signal to PID 6425
passing along signal to PID 6644
passing along signal to PID 6647
–terminated processes–
Game is considered exited.
All monitored processes have exited.
Exit with returncode 0
DEBUG 2020-03-31 22:50:16,766 [command.on_stop:182]:The process has terminated with code 0
DEBUG 2020-03-31 22:50:16,766 [command.stop:266]:Management process looks dead already.
DEBUG 2020-03-31 22:50:16,766 [command.stop:274]:Detaching logger
DEBUG 2020-03-31 22:50:18,511 [game.beat:606]:Game thread stopped
WARNING 2020-03-31 22:50:18,511 [game.on_game_quit:636]:Game still running (state: running)
INFO 2020-03-31 22:50:18,511 [game.stop:621]:Stopping Epic Games Store (wine)
DEBUG 2020-03-31 22:50:18,512 [command.stop:266]:Management process looks dead already.
DEBUG 2020-03-31 22:50:18,512 [command.stop:278]:logger already detached
DEBUG 2020-03-31 22:50:18,526 [game.on_game_quit:655]:Epic Games Store stopped at Di, 31 Mär 2020 22:50:18
DEBUG 2020-03-31 22:50:18,526 [game.save:249]:Saving Epic Games Store (wine)
DEBUG 2020-03-31 22:50:18,528 [lutriswindow.on_game_updated:779]:Updating game Epic Games Store (wine)

Skipping through the log, I can only see this message. I don’t think that’s related though.

Wine cannot find the FreeType font library. To enable Wine to
use TrueType fonts please install a version of FreeType greater than
or equal to 2.0.5.
http://www.freetype.org

These can be found in your Linux repositories b.t.w.

The WINE Configuration can be started from the side panel at the right. Its a link which comes available there when you click on the game icon.

You should see this Windows dialog.

image

I’ve found the settings. Thanks.

Installed is ftjam 2.5.2.-.1build1 and freetype2-demos 2.8.1-2ubuntu2.
sudo add-apt-repository ppa:glasen/freetype2 … could not found it.
On freetyp.org I don’t find the right version for LinuxMint.

Doesn’t this command work when you enter it in a terminal?

sudo apt-get install freetype*

I can’t imagine that it isn’t available in the repositories…

I did it:

sudo apt-get install freetype*
[sudo] Passwort für phenom:
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen… Fertig
Hinweis: »freetype-tools« wird für das Suchmuster »freetype*« gewählt.
Hinweis: »freetype2-demos« wird für das Suchmuster »freetype*« gewählt.
freetype2-demos ist schon die neueste Version (2.8.1-2ubuntu2).
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
antlr3 bnd gir1.2-mate-desktop gir1.2-mate-panel harvid java-wrappers
javahelp2 junit4-doc libantlr3-runtime-java libantlr4-runtime-java
libaopalliance-java libapr1 libaprutil1 libargs4j-java
libatinject-jsr330-api-java libbeansbinding-java libbindex-java libbsh-java
libbyte-buddy-java libbytelist-java libcdi-api-java libcodemodel-java
libcommons-io-java libcommons-lang-java libcommons-lang3-java libdom4j-java
libdtd-parser-java libeclipselink-java libfastinfoset-java
libfelix-framework-java libfelix-main-java libfelix-resolver-java
libfreemarker-java libgeronimo-annotation-1.3-spec-java
libgeronimo-interceptor-3.0-spec-java
libgeronimo-j2ee-connector-1.5-spec-java libgeronimo-jms-1.1-spec-java
libgeronimo-jta-1.1-spec-java libgeronimo-validation-1.1-spec-java
libguava-java libguice-java libhtml5parser-java libhttpclient-java
libhttpcore-java libicu4j-4.4-java libid3tag0 libimlib2 libini4j-java
libistack-commons-java libjavaewah-java libjaxb-api-java libjaxb-java
libjaxen-java libjaxrs-api-java libjcodings-java libjcommander-java
libjemmy2-java libjgit-java libjna-java libjna-jni libjna-platform-java
libjnlp-servlet-java libjoda-time-java libjpa-2.1-spec-java
libjsch-agent-proxy-java libjson-simple-java libjsonp-java libjsoup-java
libjsr305-java libjvyamlb-java libllvm8:i386 liblo7 libltc11 liblucene3-java
libmaven-file-management-java libmaven-parent-java libmaven-resolver-java
libmaven-shared-io-java libmaven-shared-utils-java libmaven3-core-java
libnb-absolutelayout-java libnb-apisupport3-java libnb-ide14-java
libnb-java5-java libnb-javaparser-java libnb-org-openide-modules-java
libnb-org-openide-util-java libnb-org-openide-util-lookup-java
libnb-platform-devel-java libnb-platform18-java libplexus-archiver-java
libplexus-cipher-java libplexus-classworlds-java
libplexus-component-annotations-java libplexus-interpolation-java
libplexus-io-java libplexus-sec-dispatcher-java libplexus-utils-java
libplexus-utils2-java libportmidi0 librelaxng-datatype-java librngom-java
libsequence-library-java libserf-1-1 libsimple-validation-java
libsisu-guice-java libsisu-inject-java libsisu-ioc-java libsisu-plexus-java
libslf4j-java libsnappy-java libsnappy-jni libsqljet-java libstax-ex-java
libstreambuffer-java libstringtemplate4-java libsvn-java libsvn1
libsvnclientadapter-java libsvnkit-java libswing-layout-java libswingx-java
libtrilead-ssh2-java libtxw2-java libwagon-http-java
libwagon-provider-api-java libws-commons-util-java libxsom-java
libyaml-snake-java linux-headers-4.15.0-72 linux-headers-4.15.0-72-generic
linux-headers-4.15.0-74 linux-headers-4.15.0-74-generic
linux-headers-4.15.0-76 linux-headers-4.15.0-76-generic
linux-headers-4.15.0-88 linux-headers-4.15.0-88-generic
linux-headers-5.0.0-37 linux-headers-5.0.0-37-generic linux-headers-5.3.0-26
linux-headers-5.3.0-26-generic linux-headers-5.3.0-28
linux-headers-5.3.0-28-generic linux-headers-5.3.0-40
linux-headers-5.3.0-40-generic linux-image-4.15.0-72-generic
linux-image-4.15.0-74-generic linux-image-4.15.0-76-generic
linux-image-4.15.0-88-generic linux-image-5.0.0-37-generic
linux-image-5.3.0-26-generic linux-image-5.3.0-28-generic
linux-image-5.3.0-40-generic linux-modules-4.15.0-72-generic
linux-modules-4.15.0-74-generic linux-modules-4.15.0-76-generic
linux-modules-4.15.0-88-generic linux-modules-5.0.0-37-generic
linux-modules-5.3.0-26-generic linux-modules-5.3.0-28-generic
linux-modules-5.3.0-40-generic linux-modules-extra-4.15.0-72-generic
linux-modules-extra-4.15.0-74-generic linux-modules-extra-4.15.0-76-generic
linux-modules-extra-4.15.0-88-generic linux-modules-extra-5.0.0-37-generic
linux-modules-extra-5.3.0-26-generic linux-modules-extra-5.3.0-28-generic
linux-modules-extra-5.3.0-40-generic testng xjadeo
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.